package com.marvinelsen.moedict.api

import com.marvinelsen.moedict.internal.JsonMoedictParser
import java.io.InputStream

interface MoedictParser {
    fun parse(inputStream: InputStream): List<MoedictEntry>

    companion object {
        val instance: MoedictParser by lazy { JsonMoedictParser() }
    }
}
